<?php
if (isset($_POST['BTEnvia'])) {

    // Variáveis de POST
    $nome = $_POST['nome'];
    $email = $_POST['email'];
    $telefone = $_POST['telefone']; 
    $mensagem = $_POST['mensagem'];

    // Remetente
    $email_remetente = "teste@dominio.com";

    // Configurações do e-mail
    $email_destinatario = "teste@dominio.com, contato@dominio.com";
    $email_reply = "$email"; 
    $email_assunto = "Contato via Site - INFRATEC TECNOLOGIA"; 

    // Corpo da mensagem em HTML
    $email_conteudo = "Nome: " . nl2br($nome) . "<br />"; 
    $email_conteudo .= "Telefone: " . nl2br($telefone) . "<br />"; 
    $email_conteudo .= "Email: " . nl2br($email) . "<br />";
    $email_conteudo .= "Mensagem: " . nl2br($mensagem) . "<br />"; 

    // Cabeçalhos do e-mail
    $email_headers = implode("\n", array(
        "From: $email_remetente",
        "Reply-To: $email_reply",
        "Return-Path: $email_remetente",
        "MIME-Version: 1.0",
        "X-Priority: 3",
        "Content-Type: text/html; charset=UTF-8",
        "Content-Transfer-Encoding: 8bit" // Certifica-se de que a codificação de transferência está correta
    ));

    // Envio do e-mail
    if (mail($email_destinatario, mb_encode_mimeheader($email_assunto, 'UTF-8', 'B'), $email_conteudo, $email_headers)) {
        echo "<b>E-Mail enviado com sucesso!</b>";
    } else {
        echo "<b>Falha no envio do E-Mail!</b>";
    }

    echo "<script>window.location='".$url_envio."';</script>";
}
?>


<form class="book-taxi-form" method="POST">
    <span>Seu nome *
        <input type="text" size="30" name="nome" required>
	</span>

    <span>Telefone *
        <input size="35" name="telefone" type="tel" maxlength="15" onkeyup="handlePhone(event)" required>
	</span>

    <span>Seu e-mail *
        <input type="text" size="30" name="email" required>
	</span>

    <span>Mensagem *
        <textarea name="mensagem"></textarea>
	</span>

    <button class="metrica-envio" type="submit" name="BTEnvia" value="Enviar">Enviar Mensagem</button>
</form>
